#!/bin/bash
# *****************************************************************************
# Set LOGFILE_PATH to the folder containing the server.log.yyyy-mm-dd files
# e.g. 
# LOGFILE+PATH="/opt/jboss-4.2.3.GA/server/default/log"
LOGFILE_PATH=/opt/jboss-4.2.3.GA/server/default/log
# *****************************************************************************
# Set KEEP_NFILES to the number of server.log.yyyy-mm-dd files you want to keep
KEEP_NFILES=28
# *****************************************************************************

COUNT=0
ls -r "$LOGFILE_PATH"/server.log.[0-9][0-9][0-9][0-9]-[0-9][0-9]-[0-9][0-9] | while read F 
do
  [ "$COUNT" -ge "$KEEP_NFILES" ] && rm "$F"
  let "COUNT+=1"
done
